For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Truework.comAPI StatusGet your API key
HomeGuidesAPI referenceHelp
HomeGuidesAPI referenceHelp
    • Introduction
  • Using the API
    • Authentication
    • Versioning
    • Webhooks
    • Sandbox environment
    • Monitoring
    • Limits
  • Verification orders & reports
    • POSTCreate a target employer order
    • POSTCreate an employer search order
    • POSTCreate a Truework Direct order
    • GETGet one order
    • GETGet all orders
    • PUTCancel an order
    • GETGet one report
    • GETGet order events
    • POSTReverify a report
  • Public beta APIs
  • Previous API versions
    • API version 2022-08-01
    • API version 2020-12-07
    • API version 2019-10-15
      • POSTCreate a Credentials Session
      • POSTCreate a Verification
      • GETGet All Verifications
      • GETGet One Verification
      • PUTReverify a Verification
      • PUTCancel a Verification
      • GETGet One Report
LogoLogo
Truework.comAPI StatusGet your API key
Previous API versionsAPI version 2019-10-15

Get One Report

Deprecated
GET
/verification-requests/:verification_request_id/reports/:verification_report_id
GET
/verification-requests/:verification_request_id/reports/:verification_report_id
$curl https://api.truework-sandbox.com/verification-requests/verification_request_id/reports/verification_report_id \
> -H "Authorization: Bearer <token>"
1{
2 "additional_notes": "string",
3 "created": "2021-12-20T18:50:20.291247Z",
4 "current_as_of": "2021-12-20",
5 "d1c_eligible": true,
6 "disputes": [
7 {
8 "created": "2021-12-20T18:50:20.291247Z",
9 "description": "Employee Title",
10 "id": "AAAAAAAAAL8AElevkrw2n2vI8ScqGJEf50Lfg4W9LiQXwi-KSmg7DH0P",
11 "reference_id": "d75346a0-a747-4907-a506-639ea436f2b0"
12 }
13 ],
14 "du_reference_id": "string",
15 "employee": {
16 "earnings": [
17 {
18 "base": "35000.00",
19 "bonus": "0.00",
20 "commission": "100.25",
21 "other": "0.00",
22 "overtime": "200.00",
23 "termination": false,
24 "total": "35300.25",
25 "year": "2020"
26 }
27 ],
28 "email": "string",
29 "first_name": "Jane",
30 "hired_date": "2023-01-15",
31 "last_name": "Doe",
32 "on_leave_date": "2023-01-15",
33 "positions": [
34 {
35 "employment_type": "regular-full-time",
36 "end_date": "2023-01-15",
37 "start_date": "2023-01-15",
38 "title": "Software Engineer"
39 }
40 ],
41 "salary": {
42 "gross_pay": "string",
43 "hours_per_week": "40",
44 "months_per_year": "12",
45 "pay_frequency": "biweekly",
46 "reduced_covid": "yes"
47 },
48 "social_security_number": "***-**-0000",
49 "status": "active",
50 "status_detail": "active",
51 "termination_date": "2023-01-15"
52 },
53 "employer": {
54 "address": "string",
55 "government_ids": [
56 {
57 "id": "123456789",
58 "type": "us-fein"
59 }
60 ],
61 "name": "string"
62 },
63 "id": "AAAAAAAADU8ACy03lGitY_ocCMCcgproUq8Gt4r37MM6GbyX2-DxWM3Y",
64 "income_analytics": {
65 "annualized_income": {
66 "amount": {
67 "amount": "34.95",
68 "currency": "USD"
69 },
70 "base_amount": {
71 "amount": "34.95",
72 "currency": "USD"
73 },
74 "gross_amount": {
75 "amount": "34.95",
76 "currency": "USD"
77 },
78 "short_employment_warning": true,
79 "stale_data_warning": true,
80 "variable_income_warning": true
81 },
82 "income_volatility": {
83 "gross_income_volatility": "string"
84 }
85 },
86 "paystubs": [
87 {
88 "base": "7000.00",
89 "bonus": "1000.00",
90 "commission": "0.00",
91 "gross": "8000.00",
92 "id": "AAAAAAAAAmEADp7bmZJNhm4Kr5FM_ty5A_JX-Rxh04GSIHwmIRyp6Xss",
93 "net": "5500.00",
94 "other": "0.00",
95 "overtime": "0.00",
96 "pay_date": "2023-01-15",
97 "pay_period_end_date": "2023-01-15",
98 "pay_period_hours": "86.67",
99 "pay_period_start_date": "2023-01-15",
100 "reference_id": "6894632654"
101 }
102 ],
103 "pricing_tier": "instant",
104 "respondent": {
105 "email": "string",
106 "full_name": "string",
107 "title": "string"
108 },
109 "verification_request": {
110 "created": "2021-12-20T18:50:20.291247Z",
111 "id": "AAAAAAAAEboABwQhKv1_pWO7MWtZs28ksPTH0uSt6GffsoIJPj7e69P1",
112 "type": "employment"
113 }
114}
Retrieves a Report for a given Verification id with multiple reports. If you don't have the report id, it is recommended to use the embedded `reports` key from `GET /verification-requests/{verification_id}` to retrieve reports. You can get the report in PDF format by adding `Accept: application/pdf` to your headers. When testing, please use the generated curl command with `--output <PDF filename>` specified. <!-- theme: info --> > Only completed Verifications have Reports associated with them. Any other request will fail with either 400 or 404, and provide more information as an attached error message. > Reports are also embedded into the Verification object returned from get and get one.
Was this page helpful?
Previous
Built with

Retrieves a Report for a given Verification id with multiple reports. If you don’t have the report id, it is recommended to use the embedded reports key from GET /verification-requests/{verification_id} to retrieve reports.

You can get the report in PDF format by adding Accept: application/pdf to your headers. When testing, please use the generated curl command with --output <PDF filename> specified.

<!— theme: info —>

Only completed Verifications have Reports associated with them. Any other request will fail with either 400 or 404, and provide more information as an attached error message. Reports are also embedded into the Verification object returned from get and get one.

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Path parameters

verification_request_idstringRequired
Verification ID
verification_report_idstringRequired
Report ID

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Query parameters

income_analyticsbooleanOptionalDefaults to false
Whether to calculate income analytics for the nested reports in each verification.
fieldsstring or nullOptional

Comma-separated names of fields to include in the response. If omitted, all fields are included

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

OK
additional_notesstring or null>=0 characters
createddatetime
current_as_ofdate
d1c_eligibleboolean or null
Returns true if this report is eligible for Day 1 Certainty
disputeslist of objects
Disputes that are currently open and relevant to this report
du_reference_idstring or null
This is the reference ID to submit to Fannie Mae for purposes of getting Day 1 Certainty
employeeobject
employerobject
idstring1-128 characters
income_analyticsobject or null

Calculated income features. Only returned if the income_analytics query parameter is provided and is true and the employee status on the report is active.

paystubslist of objects or null
Individual paystubs for each pay period. Paystubs are returned sorted in descending order from most recent to least recent pay date.
pricing_tierenum or null
Allowed values:
respondentobject or null
verification_requestobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error

Bearer tokens conform to the RFC6750 spec.

Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.

Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.

Examples

  • For Authorization Headers: Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be
  • For the “try it now” token field, input only the token itself, omitting Bearer .

For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures